%global modulename uri-js

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-uri-js
Version:        4.2.2
Release:        1%{?dist}
Summary:        An RFC 3986/3987 compliant, scheme extendable URI/IRI parsing/validating/resolving library for JavaScript.

License:        BSD
URL:            https://github.com/garycourt/uri-js
Source0:        https://registry.npmjs.org/uri-js/-/uri-js-4.2.2.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(punycode) >= 2.1.0 with npmlib(punycode) < 3.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
An RFC 3986/3987 compliant, scheme extendable URI/IRI parsing/validating/resolving library for JavaScript.

%package 4.2.2
Summary:        An RFC 3986/3987 compliant, scheme extendable URI/IRI parsing/validating/resolving library for JavaScript.


%description 4.2.2
An RFC 3986/3987 compliant, scheme extendable URI/IRI parsing/validating/resolving library for JavaScript.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bower.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr dist %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr rollup.config.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr src %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr tests %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr tsconfig.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr yarn.lock %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%{nodejs_dir}/%{modulename}

%files 4.2.2
%doc README.md
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 4.2.2-1
- Package automatically generated by npm2srpm
